// Copyright (C) 2005-2007 Lionel Duchateau, kurtnoise@free.fr
//
// This library is free software: you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this library. If not, see <http://www.gnu.org/licenses/>.
//
// To compile Yamb 2.xxx, you need :
//    - JVCL components : http://homepages.borland.com/jedi/jvcl/
//    - TMMS Unicode components : http://www.tmssoftware.com/
//    - DSPack components : http://www.progdigy.com/
//    - ABf components : http://www.abf-dev.com/abf-components.shtml
//    - DOSCommand component : include in the sources
//    - OpenDirDialog component : include in the sources
//    

unit UCustomVal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, TntStdCtrls, Buttons, TntButtons;

type
  TCustomVal = class(TForm)
    gbProp: TTntGroupBox;
    edCustomVal: TTntEdit;
    btCustomVal: TTntBitBtn;
    edPAR1: TTntEdit;
    edPAR2: TTntEdit;
    Label1: TLabel;
    procedure edCustomValKeyPress(Sender: TObject; var Key: Char);
    procedure btCustomValClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure edPAR1KeyPress(Sender: TObject; var Key: Char);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  CustomVal: TCustomVal;

implementation

uses UMain, URessources, UProperties;

{$R *.dfm}

procedure TCustomVal.edCustomValKeyPress(Sender: TObject; var Key: Char);
begin
       begin
            if not (Key in ['0'..'9', Chr(VK_BACK), Chr(VK_DELETE)]) then
              Key := #0;
       end;
end;

procedure TCustomVal.btCustomValClick(Sender: TObject);
begin
     if CustomValForSplit then
       begin
            MainForm.cbSplitOut.Style := csDropDown;
            MainForm.cbSplitOut.Text := edCustomVal.Text;
     //     MainForm.cbSplitOut.Style := csDropDownList;
       end
     else
       begin
            PropForm.cbPAR.Items.Add('Custom '+edPAR1.Text+':'+edPAR2.Text);
            PropForm.cbPAR.ItemIndex := PropForm.cbPAR.Items.Count-1;
            if PropForm.cbPAR.Style <> csDropDown then
               PropForm.cbPAR.Style := csDropDown;
       end;
     Close;
end;

procedure TCustomVal.FormCreate(Sender: TObject);
begin
     // Check the right Font
   // if IsWindowsVista then SetVistaFonts(Self);
end;

procedure TCustomVal.edPAR1KeyPress(Sender: TObject; var Key: Char);
begin
     if not (Key in ['0'..'9', Chr(VK_BACK), Chr(VK_DELETE)]) then Key := #0;
end;

end.
